FUNCTION::THREAD_IND(3stap)

NAME
function::thread_indent - returns an amount of space with the current task information

SYNOPSIS

    thread_indent:string(delta:long)

ARGUMENTS

delta
    the amount of space added/removed for each call

DESCRIPTION

This function returns a string with appropriate indentation for a thread. Call it with a small positive or matching negative delta. If this is the real outermost, initial level of indentation, then the function resets the relative timestamp base to zero. The timestamp is as per provided by the __indent_timestamp function, which by default measures microseconds.

SEE ALSO
tapset::indent(3stap)